

label social_media_menu:
    if daytime == 0 or daytime == 1:
        scene bg housedining morning with disf
    elif daytime == 2:
        scene bg housedining evening with disf
    else:
        scene bg housedining night with disf

    menu:
        "Mom's spybook profile":
            jump celia_social_page
        "Sis's spybook profile":
            jump katy_social_page
        "Dimitria's spybook profile":
            jump dimi_social_page
        "Mirjana's spybook profile" if mirj_corr >= 20:
            jump mirj_social_page
        "Back":
            jump house



label social_ad:
    $ randNum = renpy.random.randint(0,100)
    if randNum > 75:
        show expression "events/social media/ads/poster_01.png"
    elif randNum > 50:
        show expression "events/social media/ads/poster_02.png"
    elif randNum > 25:
        show expression "events/social media/ads/poster_03.png"
    else:
        show expression "events/social media/ads/poster_04.png"

    if social_selection == 0:
        jump celia_social_info
    elif social_selection == 1:
        jump katy_social_info
    elif social_selection == 2:
        jump dimi_social_info
    elif social_selection == 3:
        jump mirj_social_info
    else:
        "This is a bug in social_ad at social media.rpy line 5"
        jump house

label celia_social_page:
    $ social_selection = 0
    if celia_corr < 20:
        show expression "events/social media/celia/01.png" with dis
    elif celia_corr < 40:
        show expression "events/social media/celia/02.png" with dis
    elif celia_corr < 60:
        show expression "events/social media/celia/03.png" with dis
    elif celia_corr < 80:
        show expression "events/social media/celia/04.png" with dis
    else:
        show expression "events/social media/celia/05.png" with dis

    jump social_ad




label katy_social_page:
    $ social_selection = 1
    if katy_corr < 20:
        show expression "events/social media/katy/01.png" with dis
    elif katy_corr < 40:
        show expression "events/social media/katy/02.png" with dis
    elif katy_corr < 60:
        show expression "events/social media/katy/03.png" with dis
    elif katy_corr < 80:
        show expression "events/social media/katy/04.png" with dis
    else:
        show expression "events/social media/katy/05.png" with dis

    jump social_ad




label dimi_social_page:
    $ social_selection = 2
    if dimi_corr < 20:
        show expression "events/social media/dimi/01.png" with dis
    elif dimi_corr < 40:
        show expression "events/social media/dimi/02.png" with dis
    elif dimi_corr < 60:
        show expression "events/social media/dimi/03.png" with dis
    elif dimi_corr < 80:
        show expression "events/social media/dimi/04.png" with dis
    elif _dimi_public > 50:
        show expression "events/social media/dimi/06.png" with dis
    else:
        show expression "events/social media/dimi/05.png" with dis

    jump social_ad



label mirj_social_page:
    $ social_selection = 3
    if mirj_corr < 40:
        show expression "events/social media/mirj/01.png" with dis
    elif mirj_corr < 60:
        show expression "events/social media/mirj/02.png" with dis
    elif mirj_corr < 80:
        show expression "events/social media/mirj/03.png" with dis
    elif _mirj_public > 50:
        show expression "events/social media/mirj/05.png" with dis
    else:
        show expression "events/social media/mirj/04.png" with dis


    jump social_ad

label celia_social_info:
    if celia_corr < 20:
        "*sigh* She barely knows how to use her cell phone, so why I am so surprised that her profile is empty?"
        "I’ll teach her how to use it once she opens up a bit more."
    elif celia_corr < 40:
        "Well, this is an attempt..."
        "I wonder why older women are so fascinated with yellow cartoons. It’s a true mystery."
    elif celia_corr < 60:
        "Mom looks cute in this picture!"
        "She’s been using her SpyBook more often. She even has new online friends. Mostly people her age."
        "I think this is all. There is nothing specially interesting here."
    elif celia_corr < 80:
        "This picture looks kinda artistic!"
        "I mean, you can only do so much with a cell phone and no knowledge of photography. But she is having fun now."
        "... I probably should tell her to change her profile to private, or make a private one just for us."
    else:
        "Okay this is hot! Her public profile hasn’t changed at all, but she is putting a lot of love to this one."
        "I’m glad no one but else but me and Sis have access to it!"
        "...and the goddamn government."
    jump social_media_menu

label katy_social_info:
    if katy_corr < 20:
        "My [roommate] is too shy to have an actual picture of herself in her profile."
        "Also she only shares pro government memes... This is too cringy, even for me. I’m out!"
    elif katy_corr < 40:
        "Well at least now she has a pic of herself. But she still is as devote to the government as before."
        "To be honest, I would have a hard time distinguishing her from a bot."
        "... at least she looks good in uniform."
    elif katy_corr < 60:
        "Well, now she acts like a person. But at this point her love for the government has truly become a part of her psyche now."
        "Now, if only I could twist that in my favor..."
    elif katy_corr < 80:
        "She looks so happy now! And half of her posts are about how much she loves her [household], and me specifically."
        "This is nice, I just hope she doesn’t expose me by mistake..."
    else:
        "She made a private account just for us. "
        "And she looks so damn sexy now! "
        "... I just can’t help wondering how many government agents are looking at these too."
        "At least she isn’t writing nor doing anything incriminating. "
    jump social_media_menu







label dimi_social_info:
    if dimi_corr < 20:
        "*sigh*"
        "Her profile is for friends only  and, surprise, I am not one of them."

    elif dimi_corr < 40:
        "Well now she added me, but there is nothing interesting here."
        "She shares papers, articles, news, it’s somewhat political, but nothing radical nor incendiary. "
    elif dimi_corr < 60:
        "She has become more loose now. Now she also shares love poems, and it’s pretty obvious she has a crush."
        "I wonder with whom... "
    elif dimi_corr < 80:
        "Now that’s something."
        "Risky, sure, but not illegal, although she is pushing it..."
        "At least she is no longer a stuck up bitch."
    elif _dimi_public >= 50:
        "ObedientSlut77 has over a thousand followers already! A remarkable number considering how many people have access to the Internet here to begin with, let alone with the small user base that SpyBook has. It is almost the case of everyone almost knowing everyone over here…"
        "And yet there is such a level of fearlessness to these posts that really get me going."
        scene bg housedining with disf
        show expression "events/social media/dimi/07.png" with dis
        show expression "events/social media/ads/poster_01.png"
        "“I’ve taken 4 cocks already and the night is still young! Show me what you got everyone, don’t leave me unsatisfied! I’m going to make my master proud tonight!”"
        "Oh yes you will! You definitely will, my little whore! Anyone who has the guts to follow through on her request is going to go on the ride of a lifetime tonight! "
        "Maybe I can try and hook up with her too…"
        "......"
        "..."
        scene bg housedining with disf
    else:
        "She created a new profile named “ObedientSlut77” exclusively for me."
        "It’s like a chronic of all her sexy adventures at work, but she is smart enough to change everything just enough so it’s hard or impossible to track them back to her."
    jump social_media_menu




label mirj_social_info:
    if mirj_corr < 40:
        "Mirjana is quite popular, specially among men."
        "Not like she dislikes the attention, actually, she loves it. It’s obvious when you check all the messages she has replied."
        "Still, all of this content is very vanilla..."
    elif mirj_corr < 60:
        "She has become daring than before! "
        "But there is a big change, she doesn’t engage as she used to, if anything she has become colder."
        "It is clear that her interest in other men has now diminished, good for me!"
    elif mirj_corr < 80:
        "She is posting nudes now, but she also made her profile private. Now only a small group of people have access to it."
        "... And I’m pretty sure that that group have seen her naked already, so really it’s not a big deal."
    elif _mirj_public > 50:
        "As her pics grew bolder, she started to add a lot of her old friends to this account. "
        "Her profile contains tons of galleries full of her adventures, while making many new friends at the same time as well!"
        "I guess her idea of taking a photogenic vacation is getting as many aesthetically pleasing cocks to penetrate her over time and documenting it… "
        "Not that I’m complaining or anything!"
        scene bg housedining with disf
        show expression "events/social media/mirj/06.png" with dis
        show expression "events/social media/ads/poster_02.png"
        "{i}My body is open for business, but my heart is only for my loved one! Show me a great time, guys!{/i}"
        "So romantic! The cum on her face makes her look extra adorable! I wonder if this could be used as a greeting card meant for romantic intent?"
        "....."
        "..."
    else:
        "I asked her to make an exclusive SpyBook profile just for me."
        "Since I’m the only one with access to it, she is completely free to post anything she wants."
        "And she is more than happy knowing I’ll be looking at every post!"
    jump social_media_menu












label vera_social_info:
    if dimi_corr < 20:
        ""
        ""
    elif dimi_corr < 40:
        ""
        ""
    elif dimi_corr < 60:
        ""
        ""
    elif dimi_corr < 80:
        ""
        ""
    else:
        ""
        ""
    jump social_media_menu
