# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

define config.developer = True

#define ce = Character('Celia', color="#2ECCFA")
define ce = Character('Mom')
define ka = Character('Katy')
define di = Character('Dimitria')
define ve = Character('Vera')
define mi = Character('Mirjana')
define hi = Character('Hilde')
define em = Character('Emma')
define er = Character('Erika')
define ma = Character('Margaret')
define lu = Character('Luka')
define br = Character('Branka')
define cy = Character('Cynthia')
define al = Character('Alexandra')
define ja = Character('Jasey')
define cl = Character('Claire')
define ne = Character('Nela')
define da = Character('Dana')
define ale = Character('Alenka')
define lj = Character('Ljijana')
define jo = Character('Jovanka')
define pe = Character('Petra')
define el = Character('Elise')
define gio = Character('Giovanni')
define maj = Character('Maja')
define dz = Character('Dzenana')

define sa = Character('Salija')
define dej = Character('Dejan')
define ha = Character('Hana')
define vl = Character('Vlado')

define bari = Character('Barista')
define man = Character('Manager')
define ana = Character('Ana')

define dis = Dissolve(0.8)
define disf = Dissolve(0.5)


# The game starts here.


label house:
    if game_version != "0.30":
        jump game_update


    $ time_name = set_time(daytime)


    ####################
    ## Special Events ##
    ####################


    if delivery_day <= 0:
        jump vera_delivery

    if vera_trust >= 90 and emma_love >= 100 and marg_corr >= 0 and delivery_day < 5 and s_05 == False and daytime == 0:
        jump s_05_meeting


    #################
    ## Regular day ##
    #################


    if daytime == 2 and day_shift == True and worked_day == False and week_day != "Sunday" and week_day != "Saturday" and dimi_corr < 80:
        "You missed work and increased your suspicion!"
        $ suspicion += 10 * ((200 - dimi_corr)/100)
        $ worked_day = True
    if daytime == 3 and night_shift == True and worked_night == False and week_day != "Sunday" and week_day != "Saturday" and dimi_corr < 80:
        "You missed work and increased your suspicion!"
        $ suspicion += 10 * ((200 - dimi_corr)/100)
        $ worked_night = True

    if daytime >= 5:
        jump update_day
    if daytime == 0:
        $ _update_day = False
        scene bg housedining morning with disf
    elif daytime == 1:
        scene bg housedining day with disf
    elif daytime == 2:
        scene bg housedining evening with disf
    elif daytime == 3:
        scene bg housedining night with disf
    else:
        scene bg housedining night with disf

    ################
    ## Home events##
    ################
    #changed to remove random events, except snitch
    $ randNum = renpy.random.randint(0,100)
    if randNum < 65:
        if _event_house_cd < 1 and daytime < 2: #used now only for the snitch event
            jump event_day_house
        #elif _event_house_cd < 2 and daytime >= 2:
        #    jump event_night_house



        #if randNum < 15 and suspicion > 70 and daytime == 0 and _broadcast_cd < 0:
            #jump broadcast_news
        #if randNum < (3 + (47 * ((100 - freedom)/100))) and _interrogation_cd < 0 and suspicion < (max_suspicion - 20) and suspicion >= 25:
            #jump event_interrogation
        #if randNum < 40 and _event_day_house == False and daytime < 2:
            #jump event_day_house
        #elif randNum < 40 and _event_night_house == False and daytime >= 2:
            #jump event_night_house
    ##browsing inet, cell phone, etc. moved to house.rpyl
    jump house_menu



label house_menu:
    menu:
        "Activism" if _activism_corr >= 0:
            jump activism_scenes
        "Visit Mom's room":
            jump celiaroom
        "Visit Katy's room":
            jump katyroom
        "Use cell phone":
            jump cellphonemenu
        "Buy supplies" if lab_items == True and daytime > 2:
            jump blackmarket
        "Misc. choices":
            jump house_menu_other
        "Go to the city":
            jump map
        "Sleep":
            $ daytime += 1
            jump house
        #"Go test":

            #jump house
            #$ _emma_ideal = True
            #jump bra_tf_sc28

label house_menu_other:
    menu:
        "Browse internet":
            jump browseinet
        "Watch TV":
            jump house_tv_menu # in house tv.rpy
        "Events":
            jump house_events_menu # in house events.rpy in script > locations > house
        "Back":
            jump house_menu



label end:
    "End of content"
    return



label gameover:
    "Your behavior has been too suspicious and you have been caught! Game over!"
    return

label update_day:
    if _story_cd > 0:
        $ _story_cd -= 1

    $ _update_day = True
    if week_day == "Monday":
        $ week_day = "Tuesday"
    elif week_day == "Tuesday":
        $ week_day = "Wednesday"
    elif week_day == "Wednesday":
        $ week_day = "Thursday"
    elif week_day == "Thursday":
        $ week_day = "Friday"
    elif week_day == "Friday":
        $ week_day = "Saturday"
    elif week_day == "Saturday":
        $ week_day = "Sunday"
    elif week_day == "Sunday":
        $ week_day = "Monday"

    if suspicion > max_suspicion:
        jump gameover
    $ daytime = 0
    scene bg black with dis

    #"You sleep pacefully. Freedom and suspicion has changed."
    $ suspicion -= (12 - (10 * ((100 - corr_news)/100)))
    if suspicion < 0:
        $ suspicion = 0
    #$ freedom -= (7 - (5*((100 - corr_church)/100)))
    if freedom < 0:
        $ freedom = 0
    $ worked_night = False
    $ worked_day = False
    $ day += 1
    $ delivery_day -= 1
    "You sleep pacefully. The city current freedom is [freedom]."
    if s_05f == True:
        jump daily_change # at scripts  production > daily changes.rpy

    jump events_control #at random events.rpy



label test:
    jump club_inauguration_corr





init python:
    def set_time(h):
        if h == 0:
            return "morning"
        elif h == 1:
            return "noon"
        elif h == 2:
            return "evening"
        elif h == 3:
            return "night"
        else:
            return "late night"
    def corrupt_level(cl):
        if cl < 20:
            return "Uncorrupted"
        elif cl < 40:
            return "Flirtatious"
        elif cl < 60:
            return "Horny"
        elif cl < 80:
            return "Lewd"
        elif cl < 100:
            return "Libidinous"
        elif cl < 120:
            return "Devoted"
        elif cl < 140:
            return ""
        elif cl < 160:
            return ""
        else:
            return ""
    def set_week_day(wd):

        if wd == "Monday":
            return "Tuesday"
        elif wd == "Tuesday":
            return "Wednesday"
        elif wd == "Wednesday":
            return "Thursday"
        elif wd == "Thursday":
            return "Friday"
        elif wd == "Friday":
            return "Saturday"
        elif wd == "Saturday":
            return "Sunday"
        elif wd == "Sunday":
            return "Monday"

    def inst_formula (lvl, corr): # this will return a value depending on how much corruption an institution has. 3 different levels.
        if lvl == 0: # small
            return 0.05 + (0.15 * ((100.0 - corr)/100.0)) #5-20%
        elif lvl == 1: # med
            return 0.1 + (0.3 * ((100.0 - corr)/100.0)) #10-40%
        else: # high
            return 0.15 + (0.45 * ((100.0 - corr)/100.0)) #15-60%

label testing_pyt:
    python:
        testing_text = "ceia corr is " + str(celia_corr)
    "[testing_text]"
    jump house

label finishgame:
    return

label splashscreen:
    python:
        if not persistent.set_volumes:
            persistent.set_volumes = True
            _preferences.volumes['music'] = .3
