
# loc_events_fetish_char_num

label library_events:
    if _event_library_cd >= 1:
        jump library_events_none

    $ randNum = renpy.random.randint(0,100)
    if randNum < 33:
        jump library_events_public_celia_1
    elif randNum < 66:
        jump library_events_exh_dimi_1
    else:
         jump library_events_public_mirj_1


label library_events_menu:
    if _fac_library_corr < 30:
        $ txt1 = "1/3"
        $ txt2 = "1/3"
        $ txt3 = "1/3"
    elif _fac_library_corr < 100:
        $ txt1 = "2/3"
        $ txt2 = "2/3"
        $ txt3 = "2/3"
    else: # 100
        $ txt1 = "3/3"
        $ txt2 = "3/3"
        $ txt3 = "3/3"


    menu:
        "Mom's public event" if _celia_public > 50:
            jump library_events_public_celia_1
        "Mirjana public event" if  _mirj_public > 50:
            jump library_events_public_mirj_1
        "Dimi exhibitionist event" if _dimi_exhib  > 50:
            jump library_events_exh_dimi_1
        "Study session ([txt1])":
            jump library_events_study
        "New knowledge ([txt2])":
            jump library_events_knowledge
        "Scolding ([txt3])":
            jump library_events_scolding
        "Back ":
            jump library_menu




label library_events_study:
    if _fac_library_corr < 30:
        scene bg library with disf
        show expression "locations/library/events/study/01.png" with dis
        "Ahh, the library. A place of quiet academia."
        "At least people still use this facility to focus and study. "
        "To be honest, this is one of those things that I can't criticize the regime for since they have at least invested significantly in education and these facilities."
        "Surprisingly this place is actually kinda good!"
        "While we are still lacking in developed facilities behind other countries, before all this, we didn’t even have a library, so take that as you will."
    elif _fac_library_corr < 100:
        scene bg library with disf
        show expression "locations/library/events/study/02.png" with dis
        "Although we don't fully control this place yet, I think it is safe to say that we can loosen the rules a little bit here."
        "And with just some slight shifts in the rules, those hormonal students will flock here and take every little advantage that we will give them."
        "I wonder how things will be once we fully control it, but I have no doubt that personal expression here will be going further than kissing and touching…"
        "Part of me hopes that this place will still be used as a real study hall, but I shall let the people do what they want here."
    else:
        scene bg library with disf
        show expression "locations/library/events/study/03.png" with dis
        "Now that we don't put any effort into controlling the people inside, this place has become a good spot for the youth to enjoy themselves."
        "We’ve turned it into a place free of judgment and open to all. "
        "Sure, they still try to keep some appearances and try to make it seem like a normal library…"
        "But the truth is…"
        scene bg library with disf
        show expression "locations/library/events/study/04.png" with dis
        "…they are terrible at keeping a secret and staying out of each other’s pants."
        "To my surprise, there were still people visiting the library for educational purposes, but they eventually were drawn into the freedom of this building."
        "Definitely, this will make this place more popular, which is great for my amusement! "
    "......"
    "..."

    jump library


label library_events_knowledge:
    if _fac_library_corr < 30:
        scene bg library with disf
        show expression "locations/library/events/knowledge/01.png" with dis
        "For now, most people that come here are the typical arduous student that want to learn something specific that you can’t find in out internet or at school."
        "Of course, you won’t find everything here, but more often than not, you can find something that would also be otherwise restricted or banned. "
        "This also means that usually, people here are more curious and open-minded… Something that, hopefully, we’ll be able to exploit very soon. "
    elif _fac_library_corr < 100:
        scene bg library with disf
        show expression "locations/library/events/knowledge/02.png" with dis
        "As we started taking over the libray, Jasey has been adding new books and magazines to the shelves."
        "This, of course don’t have as much educational value as the rest of the books, but it might give ideas to find them. "
        "Besides, there is nothing wrong with reading material that helps people discover who they are, and what they want to do."
        "Last thing we want is a library that forces people to limited trains of thought."
        "With a few changes, I think we will start seeing a shift in patronage and mood here. "
    else:
        scene bg library with disf
        show expression "locations/library/events/knowledge/03.png" with dis
        "Well, apparently the new books and the incredibly loose rules have had an effect on the visitors… "
        "Everyone is getting drawn into the library with promises of fun things to read… and even more fun things to do…"
        "Look at that girl over there, lost in her magazine! Talk about good reading material!"
        "Who can blame her for discovering and enjoying herself? Especially when everyone else here is doing it too!"
        "Jasey has told me item circulation is up! The only problem is that some of our new reading materials are coming back with “love stains”."
        "I would like to approach her and see what happens, but I think this place needs to be changed more before I can safely do that. Besides, I’ll let the other students have a chance to play around and experiment a little."
        "Don’t want me hogging all the fun right?"
    "......"
    "..."

    jump library

label library_events_scolding:
    if _fac_library_corr < 30:
        scene bg library with disf
        show expression "locations/library/events/scolding/01.png" with disf
        "There goes the librarian. Wandering around and getting up in everyone’s business."
        "I think everyone’s least favorite part of the library is being chewed out by this old crone here."
        "Part of me believes that she genuinely thinks she is helping by tearing into people…"
        "Or maybe she is just sadistic?"
        "Hell, when she really lectures you, she somehow manages to even break her own rules about volume!"
        "Reminds me of my youth. Things never change around here, do they? "
        "But whatever, there is not much I can do about this right now. But in the future, I do have some plans of my own…"
    elif _fac_library_corr < 100:
        scene bg library with disf
        show expression "locations/library/events/scolding/02.png" with disf
        "Well, things here are already changing; the librarian actually mellowed out a bit."
        "She almost seems approachable. She is actually trying to help people find what they are looking for, and doing her normal job, instead of condemning every little action done in her building."
        "Although I don’t think anyone has too much fun or joy to spend their free time talking with her, it beats being scolded for no reason."
        "If word gets out the librarian is actually acting like a normal human being for once, I can foresee a huge boom in patronage at this facility."
        "I just gotta keep the changes coming here."
    else:
        scene bg library with disf
        "*slurp* *slurp*"
        "?????" "Oh god, right there!"
        "?????" "Shhhh"
        "*slurp* *slurp*"
        "Huh? It sounds like someone’s having fun somewhere… "
        "In the library? Count me in as intrigued!"
        "*slurp*"
        "The more I go in this direction, the lewd noises grow louder."
        show expression "locations/library/events/scolding/03.png" with disf
        "Oh wow! I don’t know if I expected this, but this is really something to see!"
        "I don’t know if this is something I wanted to see!"
        "To be honest, I’m not sure how I would feel about getting head from someone her age, but I can’t blame a college student for getting some easy experience…"
        "I wonder what else she does around here… I guess librarians need to have some fun every once and a while too, eh?"
        "Guess I just need to wait and see how things develop here!"
    "......"
    "..."

    jump library




label library_events_none:
    jump library_menu


        ### PUBLIC EVENTS ###

label library_events_public_celia_1: # scene 3 celia
    if _celia_public < 100:
        jump library_events_none
    scene bg library with dis
    "I go to the bookstore and check all over the shelves if there’s anything new, as always, there’s only the few boring books government approves off. They lack of substance and serve only to wash people’s minds."
    "However, judging by the kind of noises I’m perceiving right now, there might be something way more interesting around the next shelve."
    "As suspected I find a couple sneakily having sex in the deepest parts of the store. But I couldn’t believe I’d find my own [tenant] right there on the floor."
    scene bg library with dis
    if _celia_ideal == True:
        show expression "locations/library/events/public/celia/03.png" with dis
    else:
        show expression "locations/library/events/public/celia/03.png" with dis
    "My [tenant]’s moans are muffled by that stranger’s hand. He looks too into the act to even care to notice me. However, Mom does look in my direction. I greet her."
    mc "Look who is having fun. Is this what you do when I’m not around?"
    "Mom moans in my direction. I know she wants me more than she wants that total rando fucking her. But it’ll be rude to stop them now."
    $ _event_library_cd += 1
    $ _event_celia_cd = 1
    jump library_menu





label library_events_public_mirj_1: # scene 2
    if _mirj_public < 100:
        jump library_events_none
    scene bg library with dis
    "As I enter the bookstore I notice the store clerk is nowhere to be found. The sign outside says it’s open but not even clients are around. This seems too suspicious not to look into it."
    "I look a door on the back and walk to it, surely if the clerk is anywhere it would be there. When I reach it I hear a familiar, but faint voice coming from the other side."
    mi "Sure, baby, you can spank me. You can do anything you like."
    "It is obvious what she is doing, what else could she? Still I’m sure she would love it if I was there to watch her."
    if _celia_ideal == True:
        show expression "locations/library/events/public/mirj/02.png" with dis
    else:
        show expression "locations/library/events/public/mirj/02.png" with dis
    "Well, that’s one mystery solved. The clerk of the library looks happy making Mirjana’s ass-cheeks turn red with every spank."
    "Mirjana knows how empty a man’s balls, and I have a first seat to the show."
    $ _event_library_cd += 1
    $ _event_mirj_cd = 1
    jump library_menu


label library_events_exh_dimi_1: # dimi 1
    if _dimi_exhib  < 100:
        jump library_events_none
    scene bg library with dis
    if _dimi_ideal == True:
        show expression "locations/library/events/exhib/dimi/01/01.png" with dis
    else:
        show expression "locations/library/events/exhib/dimi/01/01.png" with dis

    "Although most of the research can be done in the laboratory, due to restrictions certain papers and documents can only be found in the library. "
    "Of course Dimitria has enough authority to bypass this, but these materials have to be stored in house only, rather than being available for borrow, so we are stuck in this facility trying to look up god know’s what."
    mc "Hey, want to do something fun? "
    scene bg library with dis
    if _dimi_ideal == True:
        show expression "locations/library/events/exhib/dimi/01/02.png" with dis
    else:
        show expression "locations/library/events/exhib/dimi/01/02.png" with dis
    di "Shhh! We’re in a library, and we’re working!"
    mc "Oh come on, don’t be like that. Show me some skin!"
    scene bg library with dis
    if _dimi_ideal == True:
        show expression "locations/library/events/exhib/dimi/01/03.png" with dis
    else:
        show expression "locations/library/events/exhib/dimi/01/03.png" with dis
    di "What are you asking me to do?!"
    mc "To show me your tits, don’t worry, no one’s around!"
    di "Really? Now? You want to do this now? *sigh* fine, if you want me to do that…"
    scene bg library with dis
    if _dimi_ideal == True:
        show expression "locations/library/events/exhib/dimi/01/04.png" with dis
    else:
        show expression "locations/library/events/exhib/dimi/01/04.png" with dis
    "Although she sounds reluctant, and probably annoyed, she’s actually enjoying this."
    "And since almost no one comes to this place, I ended up convincing her on keep working like this. Although I adhered to a no touching policy, watching her boobs jiggle as she took notes was fantastic. She’s a great assistant, that’s for sure! "
    $ _event_library_cd += 1
    $ _event_dimi_cd = 1
    jump library_menu

        ### /PUBLIC EVENTS ###


label library_corruption:
    if serum <= 0:
        "I don't have a serum with me."
        jump library
    $ serum -= 1
    if _fac_library_corr < 0:
        jump library_corruption_0
    elif _fac_library_corr < 25:
        jump library_corruption_25
    elif _fac_library_corr < 50:
        jump library_corruption_50
    elif _fac_library_corr < 75:
        jump library_corruption_75
    elif _fac_library_corr < 100:
        jump library_corruption_100
    else:
        jump library_corruption_100



label library_corruption_0:
    scene bg park with dis
    "There she is, let’s see if I can get a conversation going."
    mc "Hey! You come here often don’t you? What are you reading?"
    scene bg park with dis
    show expression "locations/library/events/corr/0/01.png" with dis
    "Girl" "N-Nothing illegal! "
    "Uh? Well that’s totally not suspicious."
    mc "I see, and what’s the name of this {i}not illegal{/i} book you are reading?"
    "Girl" "Err... little red riding hood?"
    mc "That’s for kids isn’t it?"
    scene bg park with dis
    show expression "locations/library/events/corr/0/02.png" with dis
    "Girl" "W-Well... do you want anything else? I’m busy as you can see!"
    mc "Well just so you know, I’m an agent of the PPF and there are reports of a young girl reading forbidden literature here, and I was wondering if you knew something about it."
    scene bg park with dis
    show expression "locations/library/events/corr/0/01.png" with dis
    "Girl" "Come on, everyone can pretend to be a PPF agen-"
    "... I show her my ID. Or at least the forgery made by Vera, which she was kind enough to do for me after I pestered her for a few days."
    scene bg park with dis
    show expression "locations/library/events/corr/0/03.png" with dis
    "Girl" "I-... damn..."
    mc "Look, there is nothing to worry about, so long as you cooperate."
    "Girl" "Cooperate?... Yes, of course officer! What can I do for you?"
    mc "I’m not an office... well, that’s not how it works anyway. What is your name? "
    ja "Y-Yeah sorry, I’m nervous. My name is Jasey."
    mc "Jasey huh? That’s a nice name."
    mc "So tell me, what is that book about?"
    ja "Do you really need to know?"
    mc "Certainly, it is my job."
    ja "... It’s a forbidden book, for adults."
    mc "Oh, it’s erotica? Are you a naughty girl?"
    scene bg park with dis
    show expression "locations/library/events/corr/0/02.png" with dis
    ja "N-No it’s not, actually."
    ja "I mean, the author is well known for it’s erotica, if anything people just know him because of that, but this is one of his political treaties. "
    mc "I see, interesting. So you like subversive literature?"
    ja "No, I like literature overall, but once you have read anything interesting in the library twice, well... it’s natural curiosity."
    ja "I also think it’s helpful to understand the mind of the enemy, don’t you think?"
    mc "Apparently you and me agree on something. "
    mc "I have an idea, come with me."
    ja "Where are we going?"
    mc "We’re going to the HQ of the PPF."
    scene bg park with dis
    show expression "locations/library/events/corr/0/04.png" with dis
    ja "Wait no! Please! I’ll do anything you want, just please!"
    mc "Relax, nothing is going to happen to you. Now come."
    scene bg PPF HQ with dis
    "I call Vera and ask her to meet us at the PPF HQ."
    "When we arrive, she isn’t too happy about it. She lead Jasey alone into one of the meeting rooms so she can scold me."
    scene bg PPF HQ with dis
    show vera angry with dis
    ve "What is wrong with you? Why did you bring a civilian to this place? Are you crazy?"
    mc "Damn Vera relax! It’s not a big deal, we can just give her the serum and that’s it! "
    ve "It’s a liability nonetheless! I hope this is the last time you do that!"
    scene bg PPF HQ with dis
    show expression "locations/library/events/corr/0/05.png" with dis
    ve "...Now tell me, what’s the reason for you to bring this girl here?"
    ve "...Beyond fucking her, please. "
    mc "Don’t you think that joke is getting old?"
    ve "I wish it was a joke."
    mc "Well, I detained her because she was reading subversive literature, but she looks smart, and I thought hey, maybe she could join us on her own volition for once."
    scene bg PPF HQ with dis
    show vera serious with dis
    ve "Aren’t you too naive?"
    mc "Whatever, we can use the serum if it doesn’t work. We don’t need an army of brainless zombies."
    if vera_corr > 0:
        "Although you could join their ranks. "
    ve "Okay, talk with her, explain to her everything you deem necessary and nothing more, and this is your responsibility. If you screw it up I won't give you a second chance."
    ve "Hell if you screw it up there may not be a second chance for any of us."
    mc "I appreciate the vote of confidence. "
    scene bg PPF HQ with dis
    show vera smirk with dis
    ve "I’m just tired of you pestering me. If we die, I welcome it. "
    mc "So funny, ha-ha. "
    mc "...By the way, have you read her profile in the database?"
    scene bg PPF HQ with dis
    show vera serious with dis
    ve "Yeah, pretty much everyone is registered."
    ve "She’s marked as a person of interest for what she likes to read. She has good grades, is disciplined and she has a curious mind. Not the kind of person who blindly follows authority, but she doesn’t like to get in trouble either. "
    ve "Still her profile is... Weird. If she really enjoys what she reads, and is not reading it just out of curiosity, I would say her morals are as flexible as yours, or more."
    mc "What’s that supposed to mean?"
    ve "It means she reads very {i}hardcore{/i} things, not just about politics."
    ve "She’s too fragile to be an actual field agent, and lacks the expertise for that, but if she had the physique of Branka. I have no doubt we would have an efficient assassin in front of us.  "
    mc "Sounds dangerous."
    ve "Indeed. Even though she reads subversive literature, it’s more like she does it to criticize them and not the current regime."
    ve "Truth be told, she may have end up working for us eventually, but proceed with caution, please make sure she will actually be an asset and not a liability. "
    mc "I will, I will. "
    scene bg PPF HQ with dis
    show expression "locations/library/events/corr/0/06.png" with dis
    "When I go to meet Jasey she’s reading again."
    mc "Your curiosity is really insatiable."
    scene bg PPF HQ with dis
    show expression "locations/library/events/corr/0/07.png" with dis
    ja "Sorry! I didn’t had much to do, so I thought..."
    mc "It’s fine. Look, we have a very interesting file about you. "
    "She gulps when I just mention that we know about her. "
    mc "But here is the deal: According to this, you’re a very capable woman."
    mc "As a matter of fact, I have no doubt you would have been recruited by now if not for the fact that you like to read subversive literature."
    mc "But here at the PPF we can be... More flexible, if you know what I mean."
    mc "We know what do you like, what you’re into."
    mc "So what you say, would you be interested?"
    ja "T-To join the PPF? "
    ja "I... I thought about it, but well, I’m not exactly the person you guys look for."
    mc "Why would you say that?"
    ja "A short girl with glasses who is more into reading than sports it’s not exactly a useful agent."
    ja "If I was a hacker or something, maybe, but I don’t know what I could do for this agency.  "
    mc "Life at times is not as exciting as those books you read. There are many very boring jobs here. There are assignments that would be perfect for you. "
    ja "Is that the case? Well, that’s good to hear then! "
    ja "What would I be doing then? "
    mc "First I need to ask you a few questions, please follow me. "
    ja "Alright."
    scene bg PPF HQ with dis
    show expression "locations/library/events/corr/0/08.png" with dis
    "We go to one of our interrogation rooms. "
    "Here, I put her in a machine that will monitor her vitals, it will help to know if she is lying or not."
    "Of course for the most part these tests are useless, and clever people can learn how to lie without being discovered, but she doesn’t looks like a trained agent. "
    ja "Is all of this necessary? "
    mc "Yes, yes it is. Just relax, it won’t hurt... much."
    ja "Much?!"
    mc "Haha I’m just joking, come on. "
    mc "Now I’m going to ask questions, you need to answer them truthfully. "
    ja "Very well..."
    mc "Full name?"
    ja "Jasey Mecava."
    mc "Age?"
    ja "19"
    mc "What do you study?"
    ja "Revolutionary literature. "
    mc "Current job?"
    ja "The library, as an assistant."
    mc "Wait do you work there? I’ve never seen you!"
    ja "Do you even go there?"
    mc "Sometimes..."
    ja "Well, I’m assigned to the storage room, I barely get out of there."
    ja "The librarian is... well, she's an unlikeable character, that’s how I would define her."
    mc "I see. Now, have you committed subversive actions?"
    scene bg PPF HQ with dis
    show expression "locations/library/events/corr/0/09.png" with dis
    ja "No!"
    "Machine" "*DIIIIIING*"
    scene bg PPF HQ with dis
    show expression "locations/library/events/corr/0/10.png" with dis
    ja "Fine, yes I... I have."
    mc "What have you done?"
    ja "Let’s just say not all the banned books have been destroyed."
    ja "As a matter of fact, the library has a lot of them just in storage or hiding."
    ja "At times, if I notice someone who may be interested in them, let’s say I make sure these books arrive to their hands."
    mc "I see. Anything else?"
    ja "No, not really."
    "I wait a moment, no warning."
    scene bg PPF HQ with dis
    show expression "locations/library/events/corr/0/08.png" with dis
    mc "Why do you do that?"
    ja "I like knowledge, and to be honest, I am not even against the regime."
    ja "The “free world” system is as bad or worse at times that what we have here."
    ja "Certainly our system has flaws, and political corruption is one of our worst problems. "
    ja "But is not like they don’t have any corruption. In fact, they are equal in that regard. "
    ja "...Still I don’t think censorship is the answer. Let people read and laugh about what the opposite system proposes. "
    mc "Interesting. Let’s continue now: As an agent, you would have to use a wide variety of tactics, and we need to know what you think about them."
    mc "First off, lying."
    ja "A natural thing to do in this job."
    mc "But are you okay with it?"
    ja "No."
    "Machine" "*DIIIIIING*"
    scene bg PPF HQ with dis
    show expression "locations/library/events/corr/0/11.png" with dis
    "She laughs like the kid she is. "
    "Nothing wrong in having fun at times, right?"
    mc "Heh, now that’s funny, but let’s take it more seriously from now on."
    ja "Sorry, sorry!"
    scene bg PPF HQ with dis
    show expression "locations/library/events/corr/0/08.png" with dis
    mc "Interrogations."
    ja "...Fine, so long I’m not the subject."
    mc "Torture?"
    ja "Does torture even work?"
    mc "Sometimes that’s not the point of it."
    mc "Look, you won’t need to do all of these things... probably. But we need to know if you are fine with them or not."
    ja "No, don’t get me wrong, I’m fine with it, it’s just I’m not sure what’s the point of using an inefficient method to gather information."
    mc "All right, then what about killing?"
    ja "..."
    ja "Depends on the context. "
    mc "It’s not like you will have to go and kill someone with your bare hands, but maybe someone will try to kill you, would you be able to defend yourself with lethal force?"
    ja "Yeah, in that context I definitely would."
    mc "Do you know how to handle a gun?"
    ja "Of course, the regimen youth camp teaches us how to defend ourselves in case of an invasion."
    ja "I mean, I’m not a great shooter, you know."
    "She’s talking about her glasses."
    mc "Okay last question, would you use a mind controlling drug to take over a country?"
    ja "W-What? That’s an oddly specific question. "
    mc "It’s an hypothetical question, of course, try to answer to the best of your ability."
    ja "Hmmm... Well, certainly a lot of people are brainwashed or too stupid to figure things out, both civilians and combatants. "
    ja "Comparing this to a weapon of mass destruction, or even conventional weapons... this sounds significantly better."
    ja "No need for bloodshed, no need to rebuild cities that have been turned into rubble, and those controlled could keep being productive members of society, helping to sustain the rest."
    "I think I have heard that answer before..."
    mc "Okay, I think that’ll be all."
    ja "I’m in?"
    mc "Certainly. I already have something in mind for your first assignment. Something very easy. "
    mc "As a matter of fact, you will need to give a special drug to the librarian at your work, you think you can do that?"
    scene bg PPF HQ with dis
    show expression "locations/library/events/corr/0/09.png" with dis
    ja "Do you want to kill her?"
    mc "No! Of course not, this drug will make her mind all fuzzy, so we’ll be able to operate without her interference."
    mc "Once that’s done you’ll be in charge of the library, and I’ll let you do what you want with it."
    scene bg PPF HQ with dis
    show expression "locations/library/events/corr/0/12.png" with dis
    ja "What? Are you serious?"
    mc "Indeed I am."
    ja "That sounds great! "
    mc "Perfect, now you’ll report to Vera, she will give you anything you need to keep going. I’ll contact you at the library once the time is right."
    ja "Got it!"
    "......"
    "..."
    "After Jasey talked with Vera, she resumed her daily duties at the library. "
    "To corrupt the place, I just need to hand her serums until the librarian is under our control."
    "NOTE: This is all for this route in 0.7!"
    $ _fac_library_corr = 0
    $ daytime += 5
    jump house


label library_corruption_25:
    scene bg library with dis
    "Now that we have Jasey on our payroll, we can proceed to take over the library."
    "Although it is not the most critically important location we have tried to capture, the Library is a location that could serve our purposes in many different ways. "
    "While open during the day, it could easily be used to enlighten and sow discord amongst the citizens, an act that will distract the government from us as they focus on the commoners."
    "At night, the facility can be repurposed as a meeting spot for those that are under our control, giving us a gathering point that has nothing to do with our main headquarters that remains out of the public."
    scene bg library with dis
    show jasey base exp with dis
    "I ask Jasey to follow me to the back, so the librarian can’t hear us. "
    mc "So Jasey, how are things around here? "
    ja "Psh, nothing interesting lately. Well, y’know, besides having to deal with this old hag as usual. "
    mc "I see. Be patient, change will be coming sooner than you think."
    scene bg library with dis
    show jasey excited with dis
    ja "Does this mean you have a task for me?!"
    "Jasey gets excited very quickly and this makes her easily predictable. At this point, it really isn’t that surprising..."
    mc "Yes, but keep it down!"
    scene bg library with dis
    show expression "locations/library/events/corr/25/01.png" with dis
    mc "Here, take this."
    ja "No thanks. I’m not thirsty."
    mc "No, this isn’t for you. I need you to hold onto this for me. This is the serum that I mentioned that is needed during the interrogation."
    scene bg library with dis
    show expression "locations/library/events/corr/25/02.png" with dis
    ja "Oh! this is it then? How should I use it?"
    mc "It is not rocket science, I just need you to make sure that the librarian drinks this. Then tell her some basic commands, like “From now on, you won’t shut anyone up” or “you will ignore my misdeeds”. "
    ja "So I’ll be able to do anything in her presence now?"
    mc "No, not yet, we need multiple doses of this serum for it to fully take effect. I will give you more once you have finished giving her this one."
    ja "Sounds easy enough, I can totally do this."
    mc "Yeah, I don’t expect that old hag to be too suspicious about you."
    mc "Anyways, I have to leave now, I trust that you can take care of this."
    ja "Yes sir!"
    scene bg PPF HQ with dis
    "Well, that’s settled. "
    "Now let’s see if she does what she is told."
    scene bg library with dis
    show expression "locations/library/events/corr/25/03.png" with dis
    "I wonder if I should tell her that she is being monitored?"
    "Nah, this is more fun, and allows me to test the efficiency of Jasey. "
    scene bg library with dis
    show expression "locations/library/events/corr/25/04.png" with dis
    "..."
    "Well, nothing surprising her, everything according to the-"
    scene bg library with dis
    show expression "locations/library/events/corr/25/05.png" with dis
    "Huh? What the hell is she doing?"
    "She is teasing her? Well, technically speaking, someone did need to test her..."
    "Heh, I guess Vera was right when she said this woman was odd, I wonder if she will keep going with these things."
    $ _fac_library_corr = 25
    $ daytime += 5
    jump house



label library_corruption_50:
    scene bg library with dis
    "The behavior of this old woman has changed since she has taken the second dose, now she barely reacts when we speak loudly, and I don’t believe she particularly cares about what we say. Honestly, it feels a bit odd that I can get away with these things in the library."
    mc "So, I can see that things have begun to change around here."
    scene bg library with dis
    show jasey excited with dis
    ja "Yes! They are! I didn’t thought the serum was going to be this powerful!"
    mc "Indeed, it’s amazing isn’t it? But I don’t think this will be enough. Here, take another."
    scene bg library with dis
    show jasey happy with dis
    ja "You’re right, I’ll get to it immediately!"
    mc "Wait! Before you proceed I want to know, how many forbidden books are still stored here?"
    ja "Uhmmm that’s hard to tell. There are still boxes within the storage room that may contain some of them, but I was never able to do a full inventory on them out of fear of being caught."
    ja "Considering how big these boxes are, I would say a few hundred at the very least. There is a locked basement... Well, basement is not the right word to describe it."
    ja "It looks more like a bunker. Only the librarian can access it, and I’d guess the most juicy stuff is in there. "
    mc "I see, so you can’t get her to open it right now?"
    ja "I think I would rather wait until she is fully under control."
    mc "Very well, give her the next dose and I’ll be back soon. Better safe than sorry."
    ja "Great! I’ll take care of it. "
    scene bg PPF HQ with dis
    "Well well, time to monitor this girl again."
    "I hope there is something interesting going on."
    scene bg library with dis
    show expression "locations/library/events/corr/25/04.png" with dis
    "..."
    "Well, so far nothing abnormal."
    scene bg library with dis
    show expression "locations/library/events/corr/50/01.png" with dis
    "Except that look in Jacey’s face, that is something truly sadistic, and I am surprised she had that in her."
    "Damn I wish I had audio too, but I guess they didn’t take the time to properly bug this place after all."
    scene bg library with dis
    show expression "locations/library/events/corr/50/02.png" with dis
    "That damned Alexa really sucked at her job."
    "Regardless of the orders given, Jacey looks pleased at this small sliver of power."
    "......"
    "..."
    "Well, I guess this will be al-"
    scene bg library with dis
    show expression "locations/library/events/corr/50/03.png" with dis
    "Oh wow, did she just removed her skirt? This is getting interesting."
    "So she is an exhibitionist after all, huh? Seems that she is still too afraid to walk in front of her, but she enjoys the freedom of being exposed in public secretly."
    scene bg library with dis
    show expression "locations/library/events/corr/50/04.png" with dis
    "Didn’t expect you to try and get this comfortable on the job."
    "Maybe... I need to record all of these sessions, they may prove useful in the future."

    $ _fac_library_corr = 50
    $ daytime += 5
    jump house




label library_corruption_75:
    scene bg library with dis
    "Apparently, Jasey has instructed the librarian to do all the grunt work, while Jasey enjoys her freedom to inspect the forbidden books that are now available to her."
    "Being fair, there wasn’t that much work to do anyhow, but Jasey didn’t have the freedom to do much beyond waiting and monotonously organizing the same books over and over again.."
    mc "So, enjoying your new conditions?"
    show jasey happy with dis
    ja "[mc]! You bet! I’ve been reading a lot, these books are interesting, but they aren’t that radical nor extreme, I guess that’s why they were left behind. "
    mc "I was wondering, does anyone ever come here?"
    ja "At times. Everyday we get a small handful of people, but when finals season rolls around this place gets pretty full. "
    mc "I see, anyways, why keep those forbidden books?"
    scene bg library with dis
    show expression "locations/library/events/corr/75/01.png" with dis
    ja "I suspect they are available for special research at the university, but they probably have digitalized copies at this point, so having them here is just a formality if anything."
    ja "But in other news! I think we are very close to be able to open the basement! I actually been asking her about it."
    ja "Apparently, it is a very big and fancy underground building, not just a library but a place for the elite to hang out, a secret boys club. "
    mc "Really? Now that sounds interesting."
    ja "Yes, it does! Unfortunately, that was 10 years ago. We might need to clean it up after being used as a storage area for a decade or more. "
    mc "That sounds like a good idea, to have such a fancy place at our disposal..."
    ja "Well, I still don’t have access to it, but she is about to break, do you have another dose of the serum?"
    mc "Of course, here it is."
    ja "Great, come back tomorrow, I’ll have take care of everything!"
    mc "I will! See you then!"
    scene bg PPF HQ with dis
    "I quickly go back to the HQ, I want to witness what she’s going to do now!"
    scene bg library with dis
    show expression "locations/library/events/corr/75/02.png" with dis
    "Oh, I barely made it back to the cameras in time! She’s already naked!"
    "She is saying something, but I can’t tell what it is..."
    scene bg library with dis
    show expression "locations/library/events/corr/75/03.png" with dis
    "Well, actions are worth more than words!"
    "But still, it is not like she is seducing the librarian, more like she is just enjoying the fact that she is ignoring her."
    scene bg library with dis
    show expression "locations/library/events/corr/75/04.png" with dis
    "And now the good part, masturbating in front of her while she keeps working..."
    "Damn this woman is kinky, I wonder how many times she has probably masturbated in the storage room..."
    scene bg library with dis
    show expression "locations/library/events/corr/75/05.png" with dis
    "Can’t blame her for having fun with the serum I do the same. "
    "Well, not exactly the same, although I could try..."
    $ _fac_library_corr = 75
    $ daytime += 5
    jump house

label library_corruption_100:
    scene bg library with dis
    show jasey base exp with dis
    mc "So, you think she is ready to open it up for us? I want to check out that place."
    ja "Let’s just give her another dose just to be sure! Hand me the serum!"
    scene bg library with dis
    show expression "locations/library/events/corr/25/04.png" with dis
    "..."
    ja "Hey, are you listening to me?"
    scene bg library with dis
    show expression "locations/library/events/corr/100/01.png" with dis
    "Librarian" "Yes."
    ja "from now on, you’ll obey my very order."
    mc "{b}And{/b} mine!"
    ja "Eh! Y-Yes, and his!"
    "Librarian" "Yes, I will."
    ja "Open the basement door for us, then."
    scene bg library with dis
    show expression "locations/library/events/corr/100/02.png" with dis
    "Librarian" "B-But they will execute me..."
    ja "Oh for fucks sake, just do it!"
    "The woman is hesitant for a moment, but complies."
    mc "Sigh this is why we use CREED..."
    ja "Uh? "
    mc "Nevermind, let’s go."
    scene bg library with dis
    show expression "locations/library/events/corr/100/03.png" with dis
    mc "So here it is, let’s see what lies on the other side."
    ja "Wait, are you sure it’s safe? Are you sure there aren’t any traps inside?"
    mc "I’m sure we’ll be fine!"
    mc "... But just in case, let her go first..."
    "It takes to the old woman a moment to open the door."
    "We can hear the echo at the other side, old, stale air invading our nostrils. "
    "I turn my flashlight on my phone before handing it to the librarian, so she can see in the dark. We follow her through the dark, but keep our distance."
    "The place smells like old wood and books, but thankfully the place is dry, which means it is very likely that the collection stored here is safe."
    "Finally, the librarian finds the switch to turn on the light."
    scene expression "locations/library/events/corr/100/BG MUSIC DIRTY.png" with dis
    mc "Oh wow! "
    ja "This place looks amazing!"
    ja "So classy, I bet their private parties were sick!"
    mc "You bet, even after all these years, this place holds up, no doubt they put a lot of money into it."
    mc "I even have some ideas for this place once we clean it up."
    ja "[mc]! Look, there is more! "
    mc "uh? "
    ja "There is a hall and stairs here!"
    mc "Really? Let me catch up to you!"
    scene expression "locations/library/events/corr/100/BG POOL EMPTY.png" with dis
    "The next room we find is an underground pool, as fancy as one would expect. Somehow it still seems operational, although a small bit run down."
    mc "Now this is luxury!"
    ja "Yeah, we need to get this place ready soon! I would love to soak in this!"
    "oh my, Everyone in swimsuits, just thinking of that..."
    ja "Let’s keep going, I still think there is much more to explore!"
    scene expression "locations/library/events/corr/100/BG ROOM EMPTY.png" with dis
    "We enter a big room. Although it doesn’t have a bed nor much furniture, it is obvious this used to be a very luxurious bedroom."
    "We find many other barren rooms such as this, maybe this was a fancy brothel? It wouldn’t surprise me."
    mc "The place is like a small complex! I am sure with could accommodate more than than a dozen people here."
    mc "Still, most of the furniture is... old, to say the least, and we will probably need to renovate it before we keep going."
    ja "Not gonna lie, this entire place is so much better than my living quarters. Could I move in here once we clean this all up?"
    mc "If you want to, although I have ideas for this place, so you’re better off waiting before you decide."
    ja "Ideas? Like what exactly?"
    mc "You’ll see, you’ll see..."
    ja "Uh-huh, that’s suspicious..."
    mc "Anyhow, there is one more location to visit downstairs."
    ja "I’m following your lead, captain."
    mc "Captain?"
    ja "Didn’t it said in your badge you were a captain?"
    mc "Uh... sure thing, it just sounds weird coming from you. "
    ja "Don’t worry, I’ll keep it down to a minimum."
    "We go down through some stairs that were truly in bad shape. Each step was taken carefully as we notice the cracks and decay on the workmanship."
    scene expression "locations/library/events/corr/100/BG DUNGEON DIRTY.png" with dis
    "Once we arrive downstairs we can find a very unique room."
    ja "oh my god, it’s a sex dungeon!"
    scene expression "locations/library/events/corr/100/BG DUNGEON DIRTY.png" with dis
    show expression "locations/library/events/corr/100/04.png" with dis
    mc "Not sure about the sex part of it, though."
    mc "And why did you sound so excited about that anyways?"
    scene expression "locations/library/events/corr/100/BG DUNGEON DIRTY.png" with dis
    show jasey nervous with dis
    ja "W-Well, I mean, it isn’t logical? Like, all the fancy things upstairs..."
    mc "You know how “eccentric” powerful people can be. "
    ja "Also I do believe this is a sex dungeon still, this body, look at it’s clothes, they aren’t that old."
    mc "Good observation, this poor fella was probably being punished by someone in the regime."
    "Maybe Alexandra or Vera knows something about it..."
    ja "How are we going to dispose of it?"
    mc "We have our ways, don’t worry about it. Some bones have never stopped us before."
    mc "I think this covers this whole place."
    ja "Yes, I think it does."
    mc "Repairing this place is going to be extremely costly, but we’ll take care of it. In the meantime, I want you to keep the current facade with the librarian."
    mc "There may be some policy changes though, but I think you’ll be able to handle it. "
    ja "So you don’t have other important tasks for me?"
    mc "Oh taking care of the library is important!"
    scene expression "locations/library/events/corr/100/BG DUNGEON DIRTY.png" with dis
    show jasey smirk with dis
    ja "Oh yes, really important, what would happen if that couple of daily visitors couldn’t get their hands in government propaganda."
    mc "Things will change, believe me. "
    mc "Also you love to read don’t you? You will have plenty of time to do that, after you sort out the content of those boxes."
    scene expression "locations/library/events/corr/100/BG DUNGEON DIRTY.png" with dis
    show jasey base exp with dis
    ja "*sigh* I totally forgot about all those boxes. "
    ja "Don’t get me wrong, I love this job, but there are just so many boxes, it probably will take weeks to put a dent into this collection, even with the brainwashed librarian helping me."
    mc "We probably don’t need all of them, just pick the most juicy, interesting books at your discretion, and that should do."
    ja "Very well, that I can get done relatively fast."
    mc "Good, good. Now I’m going back to report our success, we’ll talk later."
    ja "See ya, captain!"
    scene bg PPF HQ with dis
    "I rush to the HQ to inform Vera. "
    "Capturing the library was more interesting than I expected at first, for are so many potentials that lie within it!"
    "Hiding a club in a place that no one visits is a rather genius plan, I’d say!"
    show vera exp base with dis
    ve "You look rather happy [mc], did you finally cave and fuck the old hag in the library?"
    mc "Come on, don’t joke about that!"
    ve "Hey I don’t judge you! To each their own!"
    mc "Your name and “don’t judge” can’t go in the same sentence, it shouldn’t be physically possible!"
    ve "Ha-Ha, but that’s enough, did you capture it?"
    mc "Oh yes I did! Trust me, we found something amazing!"
    ve "Oh I know, I know..."
    mc "You do? So, you know about the body?"
    scene bg PPF HQ with dis
    show vera smirk with dis
    ve "So you found my ex? Guess that was bound to happen."
    mc "*gulp* your ex?"
    ve "......"
    ve "..."
    scene bg PPF HQ with dis
    show vera laugh with dis
    ve "Hahaha I wish you could see your face when I said that."
    ve "No, of course not, I’m just fooling around with you."
    scene bg PPF HQ with dis
    show vera smile with dis
    ve "Alexandra told me about the location, who knows who she sent there. "
    ve "She actually was planning to destroy that downstairs area a long time ago, but she never checked up with the person she sent to carry out the job. Then again, that is very much like her."
    ve "That’s why I didn’t bothered to tell you about it, I didn’t want your hopes to get too high provided that grunt actually succeeded."
    ve "Plus, I also know you love surprises like that."
    mc "I certainly do, but it would help to my morale to know that I am doing something more important than drugging an old, innocent woman."
    ve "Don’t bet on the innocent part, she’s been working there since before the revolution, which means she colluded with the elite that used that place."
    mc "I see, well... still, it didn’t appear to be that great a task."
    ve "No task is too small, believe me. "
    ve "Now, let’s not go into details and just answer this straight: Is this location operational or not?"
    mc "No... I mean, for the most part it’s fine, but we need to buy a bunch of beds and furniture, among other basic things. "
    mc "At the same time, it is also incredibly dusty, there is no doubt it would kill an asthmatic person in a matter of minutes, but its nothing Mom and the others can’t handle for a few days."
    mc "To be fair, I already had some ideas for the place! What you want to do with it? "
    mc "I hope not another military base!"
    ve "Haha don’t worry, we have enough of that. As a matter of fact, your ideas and mine are aligned, for once, about what to do."
    mc "So..."
    ve "So I am thinking we can make this place into a brothel. We need quick cash, and although raiding convoys is getting us good money, it is also very dangerous and we can’t keep doing those types of operations for much longer before something goes horribly wrong."
    ve "This, if properly handled, can become a huge influx of both money and intelligence for our operations. "
    mc "Should we use our own agents?"
    ve "If they are properly trained and you want to, sure! We could always easily “persuade” other girls instead. "
    mc "Good, I like it. No, I love it!"
    ve "No surprises there."
    ve "Let me visit the place and run some numbers quickly, I’ll get back to you as soon as I can with the costs for getting this place up and running."
    ve "Of course, we can run three different business here: The club, a small casino, and of course a brothel."
    ve "But lets not get ahead of ourselves, first things firsts."
    mc "Fine, I think I will go to my house now and rest, it has been a very intense day."
    ve "Go ahead, in the morning you’ll have all the information you need."
    scene bg black with dis
    "I went to me home and fell asleep in minutes."
    "As Vera said, in the morning I had all the information available to put inside my journal."
    "Now there are two facilities unlocked: The library and the club. "
    "Also the “night life” options are unlocked in the labor section in the journal. I will be able to assign agents to these tasks, so long they have the appropriate training of course."
    if vera_corr > 0:
        "At this point, I also can continue to corrupt Vera and her team. This needs to be a coordinated effort with Jasey, Emma and Luka, otherwise one of them many notice that the others are behaving strange and capture me, so I need at least 4 serums for this operation."
    else:
        "At this point my relationship with Vera is growing stronger, maybe I could ask her to go in a date with me..."
    ###I NEED TO UPDATE THE QUEST AFTER THIS
    $ _fac_library_corr = 100
    $ daytime += 5
    $ manpower += 1
    jump house
