



screen screen_facilities_coffee:
    default res_screen = "none"
    tag menu
    frame:

        $ _money_fac = 0
        $ _free_fac = 0
        $ _susp_fac = 0
        $ _heat_fac = 0
        $ _manpower_fac = 0
        if _fac_coffee_corr >= 100:
            $ _money_fac = set_coffee_money (_fac_coffee_pol_profits, _fac_coffee_pol_sex, _fac_coffee_upd_espresso, _fac_coffee_upd_bimbo, freedom)
            $ _free_fac = set_coffee_free (_fac_coffee_pol_augmented, freedom)
            $ _susp_fac = set_coffee_susp (_fac_coffee_pol_profits, _fac_coffee_pol_augmented, _fac_coffee_pol_sex, _fac_coffee_upd_bimbo, heat)
            $ _heat_fac = set_coffee_heat (_fac_coffee_pol_sex, _fac_coffee_upd_bimbo, heat, freedom)
            $ _manpower_fac = 2
        if _fac_coffee_pol_augmented:
            $ _serum_fac = 2
        else:
            $ _serum_fac = 0

            
        xmaximum 0
        ymaximum 0
        hbox:
            vbox: 
                xoffset 660
                yoffset 30
                xsize 580
                image "gui/journal/facilities/coffee/header.png"
                
                hbox:
                    yoffset 10
                    imagebutton:
                        
                        idle "gui/journal/facilities/coffee/summary.png"
                        hover "gui/journal/facilities/coffee/summary_hl.png"
                        action SetScreenVariable("res_screen", "coffee shop")
                    imagebutton:
                        xpadding 10
                        idle "gui/journal/facilities/coffee/policies.png"
                        hover "gui/journal/facilities/coffee/policies_hl.png"
                        action SetScreenVariable("res_screen", "coffee shop policies")
                    imagebutton:
                        idle "gui/journal/facilities/coffee/upgrades.png"
                        hover "gui/journal/facilities/coffee/upgrades_hl.png"
                        action SetScreenVariable("res_screen", "coffee shop upgrades")
                hbox:
                    vbox: 
                        #xoffset 650
                        yoffset 15
                        xsize 580

                        hbox:
                            yoffset 10
                            if _fac_coffee_corr < 25:
                                image "gui/journal/facilities/coffee/ph_corr_0.png"
                            elif _fac_coffee_corr < 50:
                                image "gui/journal/facilities/coffee/ph_corr_25.png"
                            elif _fac_coffee_corr < 75:
                                image "gui/journal/facilities/coffee/ph_corr_50.png"
                            elif _fac_coffee_corr < 100:
                                image "gui/journal/facilities/coffee/ph_corr_75.png"
                            else:
                                image "gui/journal/facilities/coffee/ph_corr_100.png"
                                
                            vbox:
                                
                                xoffset 10
                                text "{font=KozGoPr6N-Regular.otf}{color=#000000}{size= 22}Summary{/size}{/color}{/font}" 
                                null height 10
                                text "{font=KozGoPr6N-Regular.otf}{color=#000000}{size= 16}Control: [_fac_coffee_corr]/100{/size}{/color}{/font}" 
                                null height 5
                                text "{font=KozGoPr6N-Regular.otf}{color=#000000}{size= 16}This is one of the newest coffee shop's in the city. Although these kind of places were a trend years ago, this one was established just months ago, and it's fairly popular. If I control it, I could use it to get some extra money for our operations and we could use diluted serum to soothe the population, increasing the freedom in this city.\n\nProvides: $[_money_fac], [_free_fac] Freedom, [_serum_fac] serums, [_susp_fac] suspicion, [_heat_fac] heat, [_manpower_fac] manpower.  {/size}{/color}{/font}" 


                                
            
                        hbox:
                            yoffset 15

                            vbox:
                                xoffset 10
                                if _fac_coffee_corr >= 100 and _fac_coffee_upd_espresso == False:
                                    text "{font=KozGoPr6N-Regular.otf}{color=#000000}{size= 18}The local coffee shop. Truth is, there are many others, but this is the most profitable one in this city. Sadly their espresso machine is broken, they would have more sells if they fixed it.{/size}{/color}{/font}"
                                elif _fac_coffee_corr >= 100 and _fac_coffee_upd_espresso == True:
                                    text "{font=KozGoPr6N-Regular.otf}{color=#000000}{size= 18}The local coffee shop. Truth is, there are many others, but this is the most profitable one in this city. Yhe new espresso machine is new, attracting more customers!{/size}{/color}{/font}"
                                elif _fac_coffee_corr > 0 and _fac_coffee_corr < 100:
                                    text "{font=KozGoPr6N-Regular.otf}{color=#000000}{size= 18}I'm in the process of corrupting this place!{/size}{/color}{/font}"
                                else:
                                    text "{font=KozGoPr6N-Regular.otf}{color=#000000}{size= 18}This place is poorly managed, I'm sure I could do a better job... Actually, it may not be too hard, I'm sure if I get a couple of serums I can get the barista under my control, and then the rest of the staff.\n\nControlling this location will provide me with money, and I can also increase the freedom in the city if I use diluted serums on their drinks. \n\nCorruption requisites: Only serums.{/size}{/color}{/font}" 




               

screen screen_facilities_coffee_policies:
    default res_screen = "none"
    default pol_screen = "none"
    tag menu
    frame:
            
        #$ _cel_assign = ""
        #if _celia_task == "Secretary":
            #$ _cel_assign = "Mom"
        xmaximum 0
        ymaximum 0
        hbox:
            vbox: 
                xoffset 660
                yoffset 30
                xsize 580
                image "gui/journal/facilities/coffee/header.png"
                
                hbox:
                    yoffset 10
                    imagebutton:
                        
                        idle "gui/journal/facilities/coffee/summary.png"
                        hover "gui/journal/facilities/coffee/summary_hl.png"
                        action SetScreenVariable("res_screen", "coffee shop")
                    imagebutton:
                        xpadding 10
                        idle "gui/journal/facilities/coffee/policies.png"
                        hover "gui/journal/facilities/coffee/policies_hl.png"
                        action SetScreenVariable("res_screen", "coffee shop policies")
                    imagebutton:
                        idle "gui/journal/facilities/coffee/upgrades.png"
                        hover "gui/journal/facilities/coffee/upgrades_hl.png"
                        action SetScreenVariable("res_screen", "coffee shop upgrades")

                
                vbox:
                    ysize 100
                    yoffset 20
                    text "{font=KozGoPr6N-Regular.otf}{color=#000000}{size= 20}Policies{/size}{/font}{/color}" 
                    null height 10
                    if pol_screen == "pol_augmented":
                        text "{font=KozGoPr6N-Regular.otf}{color=#000000}{size= 18}We can \"augment\" the coffee using a diluted version of the serum. It won't significantly change anyone, but it will make them more reckless and fearless. This disruptive behavior will increasing the freedom in the city and suspicion. Will increase freedom in 2 each day while freedom it's under 5. After that threshold it will incease only 0.5 a day.{/size}{/color}{/font}" 
                    elif pol_screen == "pol_sex":
                        text "{font=KozGoPr6N-Regular.otf}{color=#000000}{size= 18}We can put our staff to provide more than coffee, for an extra amount of money of course. This policy will increase the money we get (the more freedom, the more money), but will also increase heat in 5 points each day up to 30 heat, which at that point it will only increase it in 0.5 points a day.{/size}{/color}{/font}" 
                    else:
                        text "{font=KozGoPr6N-Regular.otf}{color=#000000}{size= 18}We can increase the profitability of this establishment by hiking prices, reducing wages, and cutting corners. Of course, city inspectors (and worst, tax collectors) may realize there is something shady going on, increasing the suspicion towards us. With enough agents covering our tracks, this shouldn't be an issue.{/size}{/color}{/font}" 
                    null height 10
                    vbox:
                        if _fac_coffee_corr < 100: 
                            imagebutton:
                                idle "gui/journal/facilities/coffee/pol_profits_de.png"
                                hover "gui/journal/facilities/coffee/pol_profits_de.png"
                                action SetScreenVariable("pol_screen", "none")
                        else:
                            imagebutton:
                                idle "gui/journal/facilities/coffee/pol_profits.png"
                                hover "gui/journal/facilities/coffee/pol_profits_hl.png"
                                action SetScreenVariable("pol_screen", "none")
                    vbox:
                        yoffset -29
                        xoffset 540
                        if _fac_coffee_corr < 100: 
                            imagebutton:
                                idle ("gui/checkbox.png")
                                hover ("gui/checkbox.png")
                        elif _fac_coffee_pol_profits == True:
                            imagebutton:
                                idle ("gui/checkbox_x.png")
                                hover ("gui/checkbox_x.png")
                                action If (  (_fac_coffee_pol_profits == True), true = [SetVariable("_fac_coffee_pol_profits", False )], false = [SetVariable("_fac_coffee_pol_profits", True )] )
                        else:
                            imagebutton:
                                idle ("gui/checkbox.png")
                                hover ("gui/checkbox.png")
                                action If (  (_fac_coffee_pol_profits == True), true = [SetVariable("_fac_coffee_pol_profits", False )], false = [SetVariable("_fac_coffee_pol_profits", True )] )
                    vbox:
                        yoffset -10
                        if _fac_coffee_corr < 100: 
                            imagebutton:
                                idle "gui/journal/facilities/coffee/pol_augmented_de.png"
                                action SetScreenVariable("pol_screen", "pol_augmented")
                        else:
                            imagebutton:
                                idle "gui/journal/facilities/coffee/pol_augmented.png"
                                hover "gui/journal/facilities/coffee/pol_augmented_hl.png"
                                action SetScreenVariable("pol_screen", "pol_augmented")
                    vbox:
                        yoffset -40
                        xoffset 540
                        if _fac_coffee_corr < 100: 
                            imagebutton:
                                idle ("gui/checkbox.png")
                                hover ("gui/checkbox.png")
                            
                        elif _fac_coffee_pol_augmented == True:
                            imagebutton:
                                idle ("gui/checkbox_x.png")
                                hover ("gui/checkbox_x.png")
                                action If (  (_fac_coffee_pol_augmented == True), true = [SetVariable("_fac_coffee_pol_augmented", False )], false = [SetVariable("_fac_coffee_pol_augmented", True )] )
    
                        else:
                            imagebutton:
                                idle ("gui/checkbox.png")
                                hover ("gui/checkbox.png")
                                action If (  (_fac_coffee_pol_augmented == True), true = [SetVariable("_fac_coffee_pol_augmented", False )], false = [SetVariable("_fac_coffee_pol_augmented", True )] )
                            
                    vbox:
                        yoffset -20
                        if _fac_coffee_corr < 100 or _CREED_public == False: 
                            imagebutton:
                                idle "gui/journal/facilities/coffee/pol_sex_de.png"
                                action SetScreenVariable("pol_screen", "pol_sex")
                        else:
                            imagebutton:
                                idle "gui/journal/facilities/coffee/pol_sex.png"
                                hover "gui/journal/facilities/coffee/pol_sex_hl.png"
                                action SetScreenVariable("pol_screen", "pol_sex")
                    vbox:
                        yoffset -50
                        xoffset 540
                        if _fac_coffee_corr < 100 or _CREED_public == False: 
                            imagebutton:
                                idle ("gui/checkbox.png")
                                hover ("gui/checkbox.png")
                            
                        elif _fac_coffee_pol_sex == True:
                            imagebutton:
                                idle ("gui/checkbox_x.png")
                                hover ("gui/checkbox_x.png")
                                action If (  (_fac_coffee_pol_sex == True), true = [SetVariable("_fac_coffee_pol_sex", False )], false = [SetVariable("_fac_coffee_pol_sex", True )] )
    
                        else:
                            imagebutton:
                                idle ("gui/checkbox.png")
                                hover ("gui/checkbox.png")
                                action If (  (_fac_coffee_pol_sex == True), true = [SetVariable("_fac_coffee_pol_sex", False )], false = [SetVariable("_fac_coffee_pol_sex", True )] )
                            


               

screen screen_facilities_coffee_upgrades:
    default res_screen = "none"
    default upd_screen = "none"
    tag menu
    frame:


        xmaximum 0
        ymaximum 0
        hbox:
            vbox: 
                xoffset 660
                yoffset 30
                xsize 580
                image "gui/journal/facilities/coffee/header.png"
                
                hbox:
                    yoffset 10
                    imagebutton:
                        
                        idle "gui/journal/facilities/coffee/summary.png"
                        hover "gui/journal/facilities/coffee/summary_hl.png"
                        action SetScreenVariable("res_screen", "coffee shop")
                    imagebutton:
                        xpadding 10
                        idle "gui/journal/facilities/coffee/policies.png"
                        hover "gui/journal/facilities/coffee/policies_hl.png"
                        action SetScreenVariable("res_screen", "coffee shop policies")
                    imagebutton:
                        idle "gui/journal/facilities/coffee/upgrades.png"
                        hover "gui/journal/facilities/coffee/upgrades_hl.png"
                        action SetScreenVariable("res_screen", "coffee shop upgrades")

                
                vbox:
                    ysize 100
                    yoffset 20

                    text "{font=KozGoPr6N-Regular.otf}{color=#000000}{size= 20}Updates{/size}{/font}{/color}" 
                    null height 10
                    hbox: 
                        if upd_screen == "upd_bimbo":
                            text "{font=KozGoPr6N-Regular.otf}{color=#000000}{size= 18}We can change how our staff looks, making them look vulgar and slutty. This would cost $500 and I need the Bimbo genetic therapy researched. This increases profits, but also suspicion and heat (depends on freedom).{/size}{/color}{/font}" 
                        else: # espresso 
                            if _fac_coffee_upd_espresso == True:
                                text "{font=KozGoPr6N-Regular.otf}{color=#000000}{size= 18}We already got a new espresso machine, and as suspected we have new clients!{/size}{/color}{/font}" 
                            else:
                                text "{font=KozGoPr6N-Regular.otf}{color=#000000}{size= 18}We can get a new espresso machine, since the current one is broken. This would cost me $300, but it will attract more customers, which means increased profits each day! There are negative outcomes with this update!{/size}{/color}{/font}" 
 
                    null height 10
                    hbox:
                        yoffset 9
                        imagebutton:
                            
                            idle "gui/journal/facilities/coffee/upd_espresso.png"
                            hover "gui/journal/facilities/coffee/upd_espresso_hl.png"
                            action SetScreenVariable("upd_screen", "none") ##change later
                        imagebutton:
                            xpadding 10
                            idle "gui/journal/facilities/coffee/upd_bimbo.png"
                            hover "gui/journal/facilities/coffee/upd_bimbo_hl.png"
                            action SetScreenVariable("upd_screen", "upd_bimbo") ##change later
                        #imagebutton:
                            #
                            #idle "gui/journal/prod/sel_sabotage.png"
                            #hover "gui/journal/prod/sel_sabotage_hl.png"
                            #action SetScreenVariable("upd_screen", "none")##change later
                        #imagebutton:
                            #idle "gui/journal/prod/sel_logistic.png"
                            #hover "gui/journal/prod/sel_logistic_hl.png"
                            #action SetScreenVariable("upd_screen", "none")##change later
            hbox:
                yoffset 630
                xoffset 475
                if upd_screen == "none":
                    if _fac_coffee_upd_espresso == True or _fac_coffee_upd_espresso == False and money < 300 or _fac_coffee_corr < 100:
                        imagebutton:
                            idle "gui/journal/prod/acquire_de.png"
                    else:
                        imagebutton:
                            idle "gui/journal/prod/acquire_labor.png"
                            hover "gui/journal/prod/acquire_labor_hl.png"
                            action Jump("fac_coffee_upd_espresso") 
                        
                elif upd_screen == "upd_bimbo":
                    if _fac_coffee_upd_bimbo == True or _fac_coffee_upd_bimbo == False and money < 500 or _fac_coffee_corr < 100 or _gene_bimbo == False:
                        imagebutton:
                            idle "gui/journal/prod/acquire_de.png"
                    else:
                        imagebutton:
                            idle "gui/journal/prod/acquire_labor.png"
                            hover "gui/journal/prod/acquire_labor_hl.png"
                            action Jump("fac_coffee_upd_bimbo") 
                    


